group "BuyerSeller.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
buyerPartyReference?, sellerPartyReference?

Content Model Elements (2):

  buyerPartyReference, sellerPartyReference

Known Usage Locations

- In definitions of global complexTypes (4):
  FxFlexibleForward, GenericProduct, Option, TradeUnderlyer2

XML Source (w/o annotations (2); see within schema source)

<xsd:group name="BuyerSeller.model"> <xsd:sequence> <xsd:element minOccurs="0" name="buyerPartyReference" type="PartyReference"/> <!--View Generation: SKIPPED buyerAccountReference - PartySpecific--> <xsd:element minOccurs="0" name="sellerPartyReference" type="PartyReference"/> <!--View Generation: SKIPPED sellerAccountReference - PartySpecific--> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
buyerPartyReference

  Type: | PartyReference, empty content

  A reference to the party that buys this instrument, ie. pays for this instrument and receives the rights defined by it. See 2000 ISDA definitions Article 11.1 (b). In the case of FRAs this the fixed rate payer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyerPartyReference" type="PartyReference"/>

sellerPartyReference

  Type: | PartyReference, empty content

  A reference to the party that sells ("writes") this instrument, i.e. that grants the rights defined by this instrument and in return receives a payment for it. See 2000 ISDA definitions Article 11.1 (a). In the case of FRAs this is the floating rate payer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sellerPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.